apparent GPU hang on haswell laptop when playing movie using XVideo output

Bug #1243261 reported by Koichi Takahashi on 2013-10-22
52
This bug affects 10 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
Medium
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Saucy
Undecided
Unassigned
xserver-xorg-video-intel-lts-saucy (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Saucy
Undecided
Unassigned

Bug Description

[Impact]

 * All users of 13.10 and the soon to be released 12.04.4 with haswell and baytrail hardware will experience hangs when watching videos via Xv. This bug has been fixed in 14.04, but the fixes happened after 13.10 released. This upload fixes the situation by backporting 2 commits from 2.99.907 that 1) disables vsync on baytrail because it is not known how it works yet and 2) fixes a regression on haswell introduced just before 13.10's driver making vsync work again.

[Test Case]

  1. open libreoffice -> file -> new -> presentation
  2. paste any movie; insert -> movie
     this bug is quite reproducible and this movie file can be anything that libreoffice/gstreamer can play.
  3. verify you correctly pasted the movie by selecting the movie in the slide and clicking the play botton bottom left.
     check if the movie *plays* ok.
  4. then start slideshow from the slideshow menu or F5.

 Another way (provided by Timo):
  1. mplayer -fs -vo xv movie.webm # -vo xv is the default, but just to state the obvious
  2. Compare to mplayer -fs -vo x11 -zoom # this works even without the patch, obviously consuming more resoureces

[Regression Potential]

 * Low, it affects only the specific GPU generations which are already broken and has been tested extensively by affected users as well as by the mainstream engineering team at Canonical on unreleased platforms.

[Original Report]
How to reproduce:
1. open libreoffice -> file -> new -> presentation
2. paste any movie; insert -> movie
      this bug is quite reproducible and this movie file can be anything that libreoffice/gstreamer can play.
3. verify you correctly pasted the movie by selecting the movie in the slide and clicking the play botton bottom left.
       check if the movie *plays* ok.
4. then start slideshow from the slideshow menu or F5.

How to reproduce, another way (provided by Timo):
1. mplayer -fs -vo xv movie.webm # -vo xv is the default, but just to state the obvious
2. Compare to mplayer -fs -vo x11 -zoom # this works even without the patch, obviously consuming more resoureces

Symptom:
* a screen hang. this continues at least ten seconds or more. after that you can somehow quit the slideshow mode.
* ESC and other keys do not stop the slideshow, except ctrl+alt+F1
* switching to VT and getting back to X helps sometimes.

Configuration:
* Thinkpad-X240s
* tried both Saucy's default kernel and 3.11.6-031106 (ppa)

dmesg:
[ 2209.663234] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 2214.672447] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 2218.658213] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 2222.656003] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 2226.653754] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 2230.651538] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 2234.649319] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 2238.623129] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 2238.623162] [drm:i915_hangcheck_elapsed] *ERROR* no progress on render ring
[ 2238.623300] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x1d06e000 ctx 0) at 0x320b500

lspci:
00:00.0 Host bridge: Intel Corporation Haswell-ULT DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09)
00:03.0 Audio device: Intel Corporation Device 0a0c (rev 09)
00:14.0 USB controller: Intel Corporation Lynx Point-LP USB xHCI HC (rev 04)
00:16.0 Communication controller: Intel Corporation Lynx Point-LP HECI #0 (rev 04)
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I218-V (rev 04)
00:1b.0 Audio device: Intel Corporation Lynx Point-LP HD Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Lynx Point-LP PCI Express Root Port 6 (rev e4)
00:1c.1 PCI bridge: Intel Corporation Lynx Point-LP PCI Express Root Port 3 (rev e4)
00:1d.0 USB controller: Intel Corporation Lynx Point-LP USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Lynx Point-LP LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation Lynx Point-LP SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation Lynx Point-LP SMBus Controller (rev 04)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5227 (rev 01)
03:00.0 Network controller: Intel Corporation Wireless 7260 (rev 83)

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: xorg 1:7.7+1ubuntu6
Uname: Linux 3.11.6-031106-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.12.5-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Wed Oct 23 00:07:55 2013
DistUpgraded: Fresh install
DistroCodename: saucy
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GpuHangFrequency: I don't know
GraphicsCard:
 Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:2214]
InstallationDate: Installed on 2013-10-22 (0 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: LENOVO 20AJA00P00
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.6-031106-generic root=UUID=30382826-322c-4457-a4a7-e6852d23ed8c ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/02/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: GIET35WW (1.11 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20AJA00P00
dmi.board.vendor: LENOVO
dmi.board.version: 0B98405 STD
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGIET35WW(1.11):bd08/02/2013:svnLENOVO:pn20AJA00P00:pvrThinkPadX240s:rvnLENOVO:rn20AJA00P00:rvr0B98405STD:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20AJA00P00
dmi.product.version: ThinkPad X240s
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2.1-1ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2.1-1ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.14.3-3ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.904-0ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Tue Oct 22 22:53:22 2013
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 1005
 vendor LGD
xserver.version: 2:1.14.3-3ubuntu2

Koichi Takahashi (ktakahashi74) wrote :
Koichi Takahashi (ktakahashi74) wrote :

I do not think this is a bug of libreoffice. it is probably a bug in the kernel or driver
because
1. i do not see this problem on other machines I own including newer sandybridge and
   ivy-bridge desktops/laptops.
2. i tried other version of libreoffice including that from raring and that downloaded
    fresh from libreoffice.org, and i always see the same problem only on my
    X240 with intel haswell graphics.

thanks.

I see the same problem on my Haswell laptop (Sony VAIO Pro) running Saucy when I play a video with mplayer or vlc.

Koichi Takahashi (ktakahashi74) wrote :

In addition to in slideshow mode in libreoffice, I confirmed this problem when playing
high bitrate movies in fullscreen mode (any movie players).

Interestingly, a mp4 movie pasted on a slide in libreoffice that hangs the GPU doesn't
induce the same problem when it is played on a movie player. However, playing a
high bitrate (say, a DVD iso) movie on a movie player hangs.
Probably it occurs when GPU gets high load or sometime of buffer overflow (speculation).

Perhaps this is a duplicate of other bugs observed on haswell's integrated GPUs.

thanks.

Created attachment 88799
i915_error_state

Whenever I started playing video using mplayer, my srceen became frozen, took long time switching to tty using ctl+alt+f1. there are several lines in the output of `dmesg` like:

[ 112.471206] hda-intel: IRQ timing workaround is activated for card #0. Suggest a bigger bdl_pos_adj.
[ 115.453374] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 121.438200] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 125.461444] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 129.464673] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 133.467901] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 137.471130] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 141.474358] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
[ 141.505914] bbswitch: enabling discrete graphics

I've google a lot but none of them solves my problem.

uploaded `/sys/kernel/debug/dri/0/i915_error_state`, hope it helps.

I'm ready to provide any log necessary.

kernel:
3.12.0-gentoo #1 SMP PREEMPT Wed Nov 6 18:07:56 EST 2013 x86_64 Intel(R) Core(TM) i7-4700MQ CPU @ 2.40GHz GenuineIntel GNU/Linux

x11-libs/libva-intel-driver 2.99.905-r1

sorry, that's `x11-drivers/xf86-video-intel` instead of `x11-libs/libva-intel-driver`

Either I have a case of not enough coffee, or the dump looks funny - it seems to have advanced into the ring already by the time we've dumped ...

I guess video playback is awfully stutter with multi-second freezes?

Also please grab the latest xf86-video-intel from git and retest with that, just to make sure it's not fixed already.

The dump is funny because the kick is before the capture. *sigh*

commit 68cef6cd281572fcfb76a341dc45b7c8e5baffe6
Author: Chris Wilson <email address hidden>
Date: Thu Nov 7 13:09:25 2013 +0000

    sna/gen7: Request secure batches for Haswell vsync

    Since commit 8ff8eb2b38dc705f5c86f524c1cd74a811a7b04c
    Author: Chris Wilson <email address hidden>
    Date: Mon Sep 9 16:23:04 2013 +0100

        sna/hsw: Scanline waits require both DERRMR and forcewake

    we have been emitting LRI to enable vsync on the render ring. This
    requires a privileged batch buffer, and whilst we were checking for
    kernel support, we forgot to actually tell the kernel to submit the
    batch with the right privileges.

    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=71328
    Signed-off-by: Chris Wilson <email address hidden>

I just compiled the intel driver from master (6e9a8c5ae2883ca21d117ac672dd8a55b3429dc1), which should contain the commit you mentioned in your comment, but I still get

[drm:ring_stuck] *ERROR* Kicking stuck wait on render ring

when using an external display attached to DVI on a docking station or DisplayPort. Machine is a Lenovo X220 with sandy bridge.

Are there any information for debbuging i should collect?

I am also not sure if the issue is related to

https://bugzilla.kernel.org/show_bug.cgi?id=62311

The /sys/class/drm/card0/error

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed

(In reply to comment #7)
> The /sys/class/drm/card0/error

Unfortunately, there is no error recorded:
$ cat /sys/class/drm/card0/error
no error state collected

I checked right after the hang occured.

I also noticed that it only happens if I attach an external display either via DP/DVI-Adapter or via the DVI output on the docking station, and run chromium. Other software in user space does not seem to trigger it. Also, it does not happen if just using the internal display.

I run Kernel 3.12.0 from Arch Linux, but it happened with 3.11.* before.

Any more info i should deliver?

Maybe you need to switch to a more recent kernel for the GPU dump to be captured on the kick. Without /sys/class/drm/card0/error I can't diagnose the problem - and importantly double check that your system is behaving how I expect.

Hi,

I have the same issues, although I actually want to use XBMC.

Unfortunately, when using XBMC the video player behaves much like mplayer (first couple of secs it's fine, after that only 1 frame every 3-8 seconds), when using XBMC it does not log any errors whatsoever.

With mplayer I'm seeing the same errors as described here, also with the 906 version of the driver. Haven't tested that with XBMC just yet but will do so this evening, just wondering if there's anything I can do additionally to posting the error state (which is probably only generated by mplayer thus - not XBMC's media player) so I can do that as well.

Do note if I attach a monitor to the DVI it's well (Samsung 20" 1600x1200). If I attach my FHD Panasonic Plasma from 2009 this occurs (whether with DVI->HDMI cable or HDMI->HDMI - also noticed there's no audio whatsoever with the DVI->HDMI cable - there's 3 HDMI audio outputs, I presume these correspond with DVI, HDMI and DisplayPort (in that order)).

Also noticed there's some small commits after the 906. I can see if I can test with that, there's bound to be a git ebuild around for the driver somewhere (probably x11 overlay which I can snatch it from).

Thanks

Hi,

sorry it took a bit longer - I'm quite sick at the moment.

Anyways - things seem to become worse. I'm running the latest GIT version now: 2.99.906-21-gb14228f and whilst XBMC already didn't log any errors (not with 906, 905, etc. either) mplayer did output errors earlier.

It does no longer.

However, the issue itself hasn't changed. Although I must say I had it working properly with 906 once. Think it was a timing thing. Turned on the PC first and the television somewhat later. It might have to do with the time the television came 'online'. Haven't been able to reproduce it, having the television on before powering on the computer or after always results in the same now, about 1 frame every 5-6 secs.

I'd provide logs - but nothing is outputted anymore thus. I'll provide the dump I caught when it was still on 905.

Nov 4 20:56:07 www kernel: [ 58.732555] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
Nov 4 20:56:11 www kernel: [ 62.734225] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
Nov 4 20:56:18 www kernel: [ 69.741146] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
Nov 4 20:56:22 www kernel: [ 73.738820] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
Nov 4 20:56:26 www kernel: [ 77.740491] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
Nov 4 20:56:30 www kernel: [ 81.742158] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
Nov 4 20:56:34 www kernel: [ 85.743838] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
Nov 4 20:56:42 www kernel: [ 93.747174] [drm:ring_stuck] *ERROR* Kicking stuck wait on render ring
Nov 4 20:56:42 www kernel: [ 93.747190] [drm:i915_hangcheck_elapsed] *ERROR* no progress on render ring
Nov 4 20:56:42 www kernel: [ 93.747195] [drm] capturing error event; look for more information in /sys/kernel/debug/dri/0/i915_error_state
Nov 4 20:56:42 www kernel: [ 93.768363] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x898000 ctx 0) at 0x89802c

Created attachment 89520
i915 error from Ferry (905 version - 906 and git no longer 'detect' the error unfortunately but it's still there)

The reason that .906 doesn't generate this error is that it contains the fix. You are seeing something else then.

The something else is only occuring on my Panasonic plasma TV. Not that I have an extensive range of devices to test with here, I might try the television in the bedroom but that'll take quite some work due to the current mounting.

It runs fine on the DVI monitor.

I forgot to mention that when it worked I was using a DVI->HDMI cable. Not sure if that mattered because I can't reproduce it there either and I went back to a HDMI cable (and mplayer with -vo gl) so I have audio (can't seem to get audio working over the DVI->HDMI cable, I have a friend with similar set up where I'll test the cable just to make sure that's not it (doubt it, all the required pins on the DVI side seem to be there)).

What can I do? Without errors (and not being a hardware dev) it's quite hard for me to diagnose as well. I can provide SSH access or similar to the machine, it doesn't contain any private info yet, just a bunch of movies and the distro. Not sure on how well you can reproduce the issues with xv like that tho'.

Describe the issue, or at least confirm if it is a similar screen freeze. Describe the actual setup, how is the second display configured? Is it an extended desktop? Which is the primary, what image?

Attaching your Xorg.0.log and dmesg (preferrably with drm.debug=6) in the failing config is always vital. Once you have an accurate description of the problem it would be best to file a new bug so that it is no longer confused with the broken HSW vsync.

Hi,

the logging is more useful for the new bug report I suppose (have to gather it too).

Setup:

3.12 with ZFS modules
Gentoo ~amd64
Gigabyte GA-H81M-HD3 mainboard
Core i3 4130
4GB RAM

Issue:

Playback of videos runs at about 1 frame per 5-8 seconds (estimated) it's not watchable (far far from it). This happens with both XBMC and mplayer (except with mplayer with -vo gl which does work). Also didn't notice the issues on my Samsung SyncMaster 204B monitor (20" 1600x1200, dated) which I used for the initial installation. The plasma TV is supposed to be the primary (and only) monitor thus.

When using mplayer (without -vo gl) I had the Kicking stuck wait on render ring messages. XBMC gave no errors whatsover, not in Xorg.0.log either (but haven't run with the drm.debug=6 yes).

I said it's in XV, but that's probably incorrect as it did work originally on my Samsung monitor. More accurate is that it occurs with XV and not with GL video output on mplayer. This is true for both DVI->HDMI (although that worked properly once - can't reproduce) and HDMI->HDMI (never seen this working but as stated can't reproduce it on DVI->HDMI either so might not mean anything).

There is no monitor configuration. I believe it's not required for a long time due to KMS. The X11 config is very basic (just ran X11 -config or -configure to create a base template - been doing this for years and seems to be fine with the monitor (but not the TV) thus).

I will retest everything with current GIT and 3.12 and might test it with the monitor and perhaps the TV in the bedroom as well. Doubt changing cables will help considering the issues exist on DVI->HDMI too (that already is a separate cable, not a converter plug). With the drm.debug=6 oc.

Is there anything else you'd like me to do whilst I'm at it? :).

Created attachment 89525
my very basic xorg.conf

It might be important to add it runs fine for the first ~6-10 seconds or so, it stalls after that.

Yeah, please make a new bug report so that we don't get lost in a massive confusion. And if you see this new/leftover issue indeed only after video playback worked for a few seconds carefully testing/confirming that with different configurations would be good.

Hi,

it seems audio related, at least now with the newer versions (906 and up where the *ERROR* Kicking stuck wait on render ring messages are gone).

And oddly too. I've tried the Samsung LCD television in the bed room with XBMC and both the DVI->HDMI cable and HDMI->HDMI cable and in both cases I just get audio and stutter free video.

On the Samsung monitor (no audio thus) all runs well with DVI.

On the Panasonic plasma TV XBMC always has stuttering video and no audio on the HDMI ports (audio does work when using the onboard soundcards analog output, XBMC does list the TV in the audio output options on the correct devices (DVI #03/HDMI #07)). Also don't hear anything when there's no movie playing and there should be sounds navigating through the menus (these are there on the Samsung LCD).

With mplayer in -vo gl mode audio works fine on the HDMI (07) output, but no audio on the DVI output (03), video works on both outputs in that case, but mplayer stutters too when using default vo (falls back to xv, there's issues loading va-api).

Kinda confused on where to report this (here/alsa/xbmc/mplayer/ffmpeg/...) ;). Want me to create it here or elsewhere?

Oh I should have mentioned video playback with XMBC on the Panasonic is also well when using the onboard analog audio. The video stuttering only happens when it's using one of the HDMI outputs.

Retesting with latest drm-intel-nightly from http://cgit.freedesktop.org/~danvet/drm-intel/ might be worth a shot, we've recently fixed a few things for audio-over-hdmi.

Otherwise I'd report this on the kernel bugzillal (bugs.kernel.org) against alsa sound drivers. Since it works with other sound modules there's a good chance it's a kernel issue.

Michael Schaller (misch-9) wrote :

I've also encountered this issue on Ubuntu 13.10 x86_64 with Intel graphics (i5-2400S CPU) with Chrome.
I've reported the crash of the Chrome GPU process here: https://code.google.com/p/chromium/issues/detail?id=325566
This might possibly related to this upstream bug: https://bugs.freedesktop.org/show_bug.cgi?id=70151

Rudolf Vavruch (rvavruch) wrote :

Reported the issue on Linux Mint forums. http://forums.linuxmint.com/viewtopic.php?f=47&t=152673

Wondering if the problem isn't with FFMpeg or libavcodec?

JPT (j-p-t) wrote :

updating using this guide https://launchpad.net/~oibaf/+archive/graphics-drivers/ solves the problem (but introduces other display problems)
So I think we just have to wait a bit until mesa 10.2 settles.

I too have a haswell chip, use it's onboard gfx feature and experience massive problems with playback of any video (including dvb-s) using vlc or kaffeine.

Michael Schaller (misch-9) wrote :

For me Mesa 10 from Oibaf's PPA fixed the issue.

Matthias B. (28-launch-mz) wrote :

This bug occurs even when just playing a video with VLC. It seems to occur only when multiple displays are attached and only in some configurations. In particular non-clone configurations seem to be affected. The workaround that helped me was

Option "AccelMethod" "uxa"

in the "Device" section of xorg.conf.

I can confirm that cherry-picking 68cef6cd281572fcfb76a341dc45b7c8e5baffe6 on top of Ubuntu's 2.99.904 fixes the described XVideo problem on my Haswell. Reporting this to a downstream bug report too.

affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Timo Jyrinki (timo-jyrinki) wrote :

I had this problem on 12.04 LTS testing the LTS-S hardware enablement packages. The upstream bug report's fix fixed the problem when I applied it on top of xserver-xorg-video-intel-lts-saucy_2.99.904-0ubuntu2~~6ppa1. The patch is also attached here.

Changed in xserver-xorg-video-intel-lts-saucy (Ubuntu):
status: New → Confirmed
summary: - apparent GPU hang on haswell laptop when playing movie on libreoffice
+ apparent GPU hang on haswell laptop when playing movie using XVideo
+ output
Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Unknown → Fix Released

The attachment "0001-sna-gen7-Request-secure-batches-for-Haswell-vsync.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
description: updated
Timo Aaltonen (tjaalton) wrote :

fixed in trusty

Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: New → Invalid
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu Saucy):
status: New → Confirmed
Changed in xserver-xorg-video-intel-lts-saucy (Ubuntu Precise):
status: New → Confirmed
Changed in xserver-xorg-video-intel-lts-saucy (Ubuntu Saucy):
status: New → Confirmed
Alex Bennée (ajbennee) wrote :

Will Saucy see an update as well?

Changed in xserver-xorg-video-intel-lts-saucy (Ubuntu Saucy):
status: Confirmed → Invalid
Robert Hooker (sarvatt) on 2014-01-10
description: updated
Robert Hooker (sarvatt) on 2014-01-10
Changed in xserver-xorg-video-intel (Ubuntu Saucy):
status: Confirmed → In Progress
Robert Hooker (sarvatt) wrote :

Alex Bennée: soon, its uploaded to saucy now and has to go through the bureaucracy.

Hello Koichi, or anyone else affected,

Accepted xserver-xorg-video-intel-lts-saucy into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel-lts-saucy/2:2.99.904-0ubuntu2.1~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-intel-lts-saucy (Ubuntu Precise):
status: Confirmed → Fix Committed
tags: added: verification-needed
Timo Jyrinki (timo-jyrinki) wrote :

Verifying fullscreen video working good on Haswell with updated xserver-xorg-video-intel-lts-saucy from precise-proposed. Tested various videos and seeking in mplayer -vo xv and totem (gstreamer-properties set to the default auto detection which in turn uses Xv).

tags: added: verification-done
removed: verification-needed

Hi Colin,

I cannot confirm this fix immediately because I now use a different machine (the bug was a show stopper for my business).

However, if mplayer/totem/gstreamer now works ok I suppose the libreoffice problem would also be fixed.

I very much appreciate your hard work. Keep going Ubuntu!

Brian Murray (brian-murray) wrote :

Hello Koichi, or anyone else affected,

Accepted xserver-xorg-video-intel into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel/2:2.99.904-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-intel (Ubuntu Saucy):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done-precise verification-needed-saucy
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel-lts-saucy - 2:2.99.904-0ubuntu2.1~precise1

---------------
xserver-xorg-video-intel-lts-saucy (2:2.99.904-0ubuntu2.1~precise1) precise-proposed; urgency=medium

  * Sync from saucy.

xserver-xorg-video-intel (2:2.99.904-0ubuntu2.1) saucy-proposed; urgency=low

  * Add two patch series to fix vsync hangs on haswell and baytrail devices.
    Thanks timo-jyrinki and timchen119! (LP: #1243261)
 -- Timo Aaltonen <email address hidden> Mon, 13 Jan 2014 10:08:14 +0200

Changed in xserver-xorg-video-intel-lts-saucy (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xserver-xorg-video-intel-lts-saucy has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Robert Hooker (sarvatt) on 2014-01-21
tags: added: verification-done-saucy
removed: verification-needed-saucy
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.904-0ubuntu2.1

---------------
xserver-xorg-video-intel (2:2.99.904-0ubuntu2.1) saucy-proposed; urgency=low

  * Add two patch series to fix vsync hangs on haswell and baytrail devices.
    Thanks timo-jyrinki and timchen119! (LP: #1243261)
 -- Robert Hooker <email address hidden> Fri, 10 Jan 2014 11:24:45 -0500

Changed in xserver-xorg-video-intel (Ubuntu Saucy):
status: Fix Committed → Fix Released
Robert Hooker (sarvatt) on 2014-03-06
Changed in xserver-xorg-video-intel-lts-saucy (Ubuntu):
status: Confirmed → Fix Released
Download full text (4.0 KiB)

The bug still happing with new xserver version:

Apr 25 07:34:05 i7 kernel: [29521.057277] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:05 i7 kernel: [29521.057312] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x85e000 ctx 0) at 0x5c
Apr 25 07:34:11 i7 kernel: [29527.082549] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:11 i7 kernel: [29527.082576] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x86a000 ctx 0) at 0x5c
Apr 25 07:34:12 i7 kernel: [29527.550657] [drm:__gen6_gt_force_wake_get] *ERROR* Timed out waiting for forcewake old ack to clear.
Apr 25 07:34:18 i7 kernel: [29534.072053] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:18 i7 kernel: [29534.072079] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x865000 ctx 0) at 0x86522c
Apr 25 07:34:18 i7 kernel: [29534.094737] [drm:__gen6_gt_force_wake_get] *ERROR* Timed out waiting for forcewake old ack to clear.
Apr 25 07:34:24 i7 kernel: [29540.097315] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:24 i7 kernel: [29540.097343] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x862000 ctx 0) at 0x5c
Apr 25 07:34:24 i7 kernel: [29540.125766] [drm:__gen6_gt_force_wake_get] *ERROR* Timed out waiting for forcewake old ack to clear.
Apr 25 07:34:30 i7 kernel: [29546.074603] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:30 i7 kernel: [29546.074628] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x860000 ctx 0) at 0x5c
Apr 25 07:34:30 i7 kernel: [29546.105855] [drm:__gen6_gt_force_wake_get] *ERROR* Timed out waiting for forcewake old ack to clear.
Apr 25 07:34:36 i7 kernel: [29552.063891] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:36 i7 kernel: [29552.063917] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x85e000 ctx 0) at 0x5c
Apr 25 07:34:36 i7 kernel: [29552.085157] [drm:__gen6_gt_force_wake_get] *ERROR* Timed out waiting for forcewake old ack to clear.
Apr 25 07:34:42 i7 kernel: [29558.101139] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:42 i7 kernel: [29558.101168] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x85c000 ctx 0) at 0x5c
Apr 25 07:34:42 i7 kernel: [29558.289989] [drm:__gen6_gt_force_wake_get] *ERROR* Timed out waiting for forcewake old ack to clear.
Apr 25 07:34:48 i7 kernel: [29564.090438] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:48 i7 kernel: [29564.090463] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x86a000 ctx 0) at 0x5c
Apr 25 07:34:48 i7 kernel: [29564.120419] [drm:__gen6_gt_force_wake_get] *ERROR* Timed out waiting for forcewake old ack to clear.
Apr 25 07:34:54 i7 kernel: [29570.079701] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Apr 25 07:34:54 i7 kernel: [29570.079727] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x866000 ctx 0) at 0x86622c
Apr 25 07:34:54 i7 kernel: [29570.101377] [drm:__gen6_gt_force_wake_get] *ERROR* Timed out waiting for forcewake old ack to clear.
Apr 25 07:3...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.